﻿/**********************
********LAVID**********
***VLibras Project*****
*------------------------------------------------------------------------
*Description:
*This class is a Android Plugin that allows the creation of Toast
* notifications.
*---------------------------------------------------------------------------
*Plugin directory: 
* - Assets/Plugins/Android
*References:
* - http://docs.unity3d.com/ScriptReference/AndroidJavaClass.html
*------------------------------------------------------------------------
*Author: Thiago Filipe
*thiago.filipe@lavid.ufpb.br
***********************/

using UnityEngine;
using System.Collections;

public class AndroidToast
{	
	AndroidJavaObject currentActivity;
	AndroidJavaClass UnityPlayer;
	AndroidJavaObject context;

	public void showToast(string toastString,string lenght){

        if (Application.platform == RuntimePlatform.Android)
            {
                UnityPlayer = new AndroidJavaClass("com.unity3d.player.UnityPlayer");
                currentActivity = UnityPlayer.GetStatic<AndroidJavaObject>("currentActivity");
                context = currentActivity.Call<AndroidJavaObject>("getApplicationContext");       
            
            AndroidJavaClass Toast = new AndroidJavaClass("android.widget.Toast");
            AndroidJavaObject javaString = new AndroidJavaObject("java.lang.String", toastString);
            AndroidJavaObject toast = Toast.CallStatic<AndroidJavaObject>("makeText", context, javaString, Toast.GetStatic<int>("LENGTH_" + lenght)); //Toast Duration Time
            toast.Call("show");
        }
    }


}
