﻿using LAViD.VLibras.Utils;
using System.Collections;
using UnityEngine;
using UnityEngine.UI;

namespace LAViD.Unity.Utils {

	public static class Methods {

		public static Color SetAlpha(this Color color, float alpha)
		{
			return new Color(color.r, color.g, color.b, alpha);
		}
		
		public static IEnumerator WaitForResponse(WWW www, float timeoutLimit, Events.RequestSuccess success, Events.RequestError error)
		{
			float time = 0;

			while (!www.isDone)
			{
				if (time > timeoutLimit)
				{
					if (error != null) error(www);
					yield break;
				}

				time += 0.1f;
				yield return new WaitForSeconds(0.1f);
			}

			if (www.error == null)
			{
				if (success != null) success(www);
			}
			else
			{
				if (error != null) error(www);
			}
		}

	}

	public static class Events {

		public delegate void RequestSuccess(WWW request);
		public delegate void RequestError(WWW request);

		public delegate void OnLoad();

	}

}
